// src/plugins/index.js
import vuetify from './vuetify'  // Importa a configuração do Vuetify
import pinia from '../../src/stores'  // Importa o Pinia (store)
import router from '../../src/routes/router'  // Importa o roteador
import { useAuthStore } from '../../src/stores/auth'  // Importa a store de autenticação

export function registerPlugins(app) {
  app
    .use(vuetify)  // Registra o Vuetify
    .use(router)  // Registra o roteador
    .use(pinia)  // Registra o Pinia (store)

  const authStore = useAuthStore()
  authStore.loadTokenFromStorage()  // Carrega o token do localStorage
}
